Public Member Functions | Public Attributes | List of all members
FullWrtParserInternal::State Struct Reference

Internal: the state of a FullWrtParser. More...

## Public Member Functions
| State ()
| constructor More...
bool | addCorrespondance (int docId, int fileId)
| insert a docId fileId in the correspondance map More...
int | getFileZoneId (int docId) const
| return the file zone id ( if found or -1) More...

## Public Attributes
bool | m_pageSpanSet
| a flag to know if the page span has been filled More...
int | m_zoneFlagsId [3]
| the list of main zone flags id More...
FullWrtStruct::EntryPtr | m_fileZoneList
| the list of file zone position More...
FullWrtStruct::EntryPtr | m_fileZoneFlagsList
| the list of file zone flags More...
std::vector< DocZoneStruct > | m_docZoneList
| the list of the documents zone list More...
std::map< int, int > | m_docFileIdMap
| the correspondance doc id -> file id More...
std::map< int, int > | m_fileDocIdMap
| the correspondance file id -> doc id More...
int | m_biblioId
| the bibliography id More...
std::multimap< int, FullWrtStruct::EntryPtr > | m_entryMap
| zoneId -> entry More...
std::map< int, int > | m_variableRedirectMap
| redirection docId -> variable docId More...
std::map< int, ReferenceCalledData > | m_referenceRedirectMap
| redirection docId -> reference docId More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a FullWrtParser.

## Constructor & Destructor Documentation

## ◆ State()

FullWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addCorrespondance()

bool FullWrtParserInternal::State::addCorrespondance | ( | int | docId,
|  | int | fileId
| ) |  |
| inline

insert a docId fileId in the correspondance map

## ◆ getFileZoneId()

int FullWrtParserInternal::State::getFileZoneId | ( | int | docId | ) | const
| inline

return the file zone id ( if found or -1)

## Member Data Documentation

## ◆ m_actPage

int FullWrtParserInternal::State::m_actPage

the actual page

## ◆ m_biblioId

int FullWrtParserInternal::State::m_biblioId

the bibliography id

## ◆ m_docFileIdMap

std::map<int,int> FullWrtParserInternal::State::m_docFileIdMap

the correspondance doc id -> file id

## ◆ m_docZoneList

std::vector<DocZoneStruct> FullWrtParserInternal::State::m_docZoneList

the list of the documents zone list

## ◆ m_entryMap

std::multimap<int, FullWrtStruct::EntryPtr > FullWrtParserInternal::State::m_entryMap

zoneId -> entry

## ◆ m_fileDocIdMap

std::map<int,int> FullWrtParserInternal::State::m_fileDocIdMap

the correspondance file id -> doc id

## ◆ m_fileZoneFlagsList

FullWrtStruct::EntryPtr FullWrtParserInternal::State::m_fileZoneFlagsList

the list of file zone flags

## ◆ m_fileZoneList

FullWrtStruct::EntryPtr FullWrtParserInternal::State::m_fileZoneList

the list of file zone position

## ◆ m_footerHeight

int FullWrtParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_headerHeight

int FullWrtParserInternal::State::m_headerHeight

the header height if known

## ◆ m_numPages

int FullWrtParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_pageSpanSet

bool FullWrtParserInternal::State::m_pageSpanSet

a flag to know if the page span has been filled

## ◆ m_referenceRedirectMap

std::map<int,ReferenceCalledData> FullWrtParserInternal::State::m_referenceRedirectMap

redirection docId -> reference docId

## ◆ m_variableRedirectMap

std::map<int,int> FullWrtParserInternal::State::m_variableRedirectMap

redirection docId -> variable docId

## ◆ m_zoneFlagsId

int FullWrtParserInternal::State::m_zoneFlagsId[3]

the list of main zone flags id

The documentation for this struct was generated from the following file:

- FullWrtParser.cxx